Subject: Re: linux-next: build failure after merge of the mm-hotfixes tree

From: "David Hildenbrand (Arm)" <[email-masked]>
Date: Tue, 21 Apr 2026 16:20:25 +0200

On 4/21/26 16:17, Andrew Morton wrote:
> On Tue, 21 Apr 2026 15:42:29 +0200 "David Hildenbrand (Arm)" <[email-masked]> wrote:
> 
>> On 4/21/26 15:34, Mark Brown wrote:
>>>
>>>
>>> And similarly for the mm-nonmm-unstable tree.
>>
>> I think Andrew uses the hotfixes tree as the base for the -unstable
>> trees. So anything that ends up in there gets fast-tracked into -next.
>> Not good :(
> 
> Always been this way.  The expectation is that a hotfix is small,
> time-sensitive and fixes something which is broken in linux-next.  It's
> exceedingly rare for a hotfix to break the build!

Yeah, it's also exceedingly rare for my cross-compilations to not catch
that :(

Even the build bots did not catch that on my private github branches.

> I'll drop this patch.

I'll resend v2 later. Maybe we can let that rest in mm-new for 2 days to
get some build coverage.

-- 
Cheers,

David